[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
FYI: fix for PR/379
From: |
Alexandre Duret-Lutz |
Subject: |
FYI: fix for PR/379 |
Date: |
Tue, 03 Dec 2002 18:59:34 +0100 |
User-agent: |
Gnus/5.090008 (Oort Gnus v0.08) Emacs/20.7 (i386-debian-linux-gnu) |
I'm checking this in (HEAD & branch-1-7).
2002-12-03 Alexandre Duret-Lutz <address@hidden>
For PR automake/379:
* automake.in (read_am_file): Do not complain about backslashes
before blank lines when the backslash is in a comment.
* tests/Makefile.am (TESTS): Add comment8.test.
* tests/comment8.test: New file.
Index: NEWS
===================================================================
RCS file: /cvs/automake/automake/NEWS,v
retrieving revision 1.198.2.9
diff -u -r1.198.2.9 NEWS
--- NEWS 1 Dec 2002 19:42:33 -0000 1.198.2.9
+++ NEWS 3 Dec 2002 17:53:02 -0000
@@ -1,4 +1,6 @@
Bugs fixed in 1.7.1c:
+* Do not complain about backslashes before blank lines when the backslash
+ is in a comment. (PR/379)
* Fix ansi2knr rules for LIBOBJS sources.
* Clean all known Texinfo index files, not only those which appear to
be used, because we cannot know wich indexes are used in included files.
Index: automake.in
===================================================================
RCS file: /cvs/automake/automake/automake.in,v
retrieving revision 1.1365.2.20
diff -u -r1.1365.2.20 automake.in
--- automake.in 1 Dec 2002 18:17:39 -0000 1.1365.2.20
+++ automake.in 3 Dec 2002 17:53:28 -0000
@@ -7809,7 +7809,7 @@
elsif (/$WHITE_PATTERN/o)
{
err "$amfile:$.", "blank line following trailing backslash"
- if $saw_bk;
+ if $saw_bk && $prev_state != IN_COMMENT;
# Stick a single white line before the incoming macro or rule.
$spacing = "\n";
$blank = 1;
@@ -7871,7 +7871,7 @@
# Stick a single white line before the incoming macro or rule.
$spacing = "\n";
err $here, "blank line following trailing backslash"
- if $saw_bk;
+ if $saw_bk && $prev_state != IN_COMMENT;
}
elsif (/$COMMENT_PATTERN/o)
{
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.443.2.11
diff -u -r1.443.2.11 Makefile.am
--- tests/Makefile.am 1 Dec 2002 18:17:40 -0000 1.443.2.11
+++ tests/Makefile.am 3 Dec 2002 17:53:49 -0000
@@ -70,6 +70,7 @@
comment5.test \
comment6.test \
comment7.test \
+comment8.test \
compile_f_c_cxx.test \
cond.test \
cond2.test \
Index: tests/comment8.test
===================================================================
RCS file: tests/comment8.test
diff -N tests/comment8.test
--- /dev/null 1 Jan 1970 00:00:00 -0000
+++ tests/comment8.test 3 Dec 2002 17:53:49 -0000
@@ -0,0 +1,47 @@
+#! /bin/sh
+# Copyright (C) 2002 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with autoconf; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Test for PR/379. Do not print `blank line following trailing backslash'
+# when the backslash is in a comment. People find this natural to comment
+# out part of backslashed blocks this way.
+
+. ./defs || exit 1
+
+set -e
+
+echo AC_PROG_CC >> configure.in
+
+cat > Makefile.am << 'EOF'
+# foo \
+
+test_SOURCES = a.c \
+ c.c
+# b.c \
+
+bin_PROGRAMS = test \
+ foo \
+ baz
+# bar \
+
+EXTRA_DIST = mumble
+EOF
+
+$ACLOCAL
+$AUTOMAKE
--
Alexandre Duret-Lutz
- FYI: fix for PR/379,
Alexandre Duret-Lutz <=